
#ifndef __autil_exception__
#define __autil_exception__

#include <exception>
#include <string>
#include <pspell/error.h>

namespace autil {

  using namespace std;
  
  struct Exception : public exception {
    string message;
    int    number;
    Exception(const string & w, int n = PERROR_OTHER)
      : message(w), number(n) {}
    const char * what() const throw() {return message.c_str();}
    ~Exception() throw() {}
  protected:
    Exception() : number(PERROR_OTHER) {}
  };

}
#endif
